OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class PollAnticipator

    java.lang.Object
      org.opennms.netmgt.mock.PollAnticipator

public class PollAnticipator
extends java.lang.Object

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`(package private) java.util.List` `m_anticipatedPolls`
`(package private) java.util.List` `m_unanticipatedPolls`

Constructor Summary
`PollAnticipator()`

Method Summary
`void` `anticipateAllServices(MockElement element)`
`void` `anticipatePoll(MockService svc)`
`void` `poll(MockService service)`
`void` `reset()`
`java.util.Collection` `unanticipatedPolls()`
`private void` `waitFor(long millis)`
`java.util.Collection` `waitForAnticipated(long millis)` Waits for millis milliseconds for the anticipated polls to come.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_anticipatedPolls

    java.util.List m_anticipatedPolls

### m_unanticipatedPolls

    java.util.List m_unanticipatedPolls

Constructor Detail

### PollAnticipator

    public PollAnticipator()

Method Detail

### anticipateAllServices

    public void anticipateAllServices(MockElement element)

  Parameters:
    `element` -
  Returns:

### anticipatePoll

    public void anticipatePoll(MockService svc)

  Parameters:
    `svc` -

### poll

    public void poll(MockService service)

  Parameters:
    `service` -

### reset

    public void reset()

### unanticipatedPolls

    public java.util.Collection unanticipatedPolls()

  Returns:

### waitFor

    private void waitFor(long millis)

  Parameters:
    `millis` -

### waitForAnticipated

    public java.util.Collection waitForAnticipated(long millis)

  Waits for millis milliseconds for the anticipated polls to come. If they all come in before the timeout return an empty list. Otherwise return a readonly list of the services that were anticipated but not received.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.